Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.engine
Interface SearchFactoryImplementor

All Superinterfaces:
  SearchFactory

All Known Implementing Classes:
  SearchFactoryImpl

    public interface SearchFactoryImplementor

extends SearchFactory

Interface which gives access to the different directory providers and their configuration.

Author:
  Emmanuel Bernard, Hardy Ferentschik

Method Summary
`void` | `addClassToDirectoryProvider(java.lang.Class<?> clazz, DirectoryProvider<?> directoryProvider, boolean exclusiveIndexUsage)`
`void` | `addDirectoryProvider(DirectoryProvider<?> provider, boolean exclusiveIndexUsage)`
`void` | `addIndexingParameters(DirectoryProvider<?> provider, LuceneIndexingParameters indexingParams)`
`void` | `addOptimizerStrategy(DirectoryProvider<?> provider, OptimizerStrategy optimizerStrategy)`
`void` | `close()`
`BackendQueueProcessorFactory` | `getBackendQueueProcessorFactory()`
`java.util.Set<java.lang.Class<?>>` | `getClassesInDirectoryProvider(DirectoryProvider<?> directoryProvider)`
`java.util.concurrent.locks.ReentrantLock` | `getDirectoryProviderLock(DirectoryProvider<?> dp)`
`java.util.Set<DirectoryProvider<?>>` | `getDirectoryProviders()`
`
`<T> DocumentBuilderContainedEntity<T>`
` | `getDocumentBuilderContainedEntity(java.lang.Class<T> entityType)`
`
`<T> DocumentBuilderIndexedEntity<T>`
` | `getDocumentBuilderIndexedEntity(java.lang.Class<T> entityType)`
`java.util.Map<java.lang.Class<?>,DocumentBuilderIndexedEntity<?>>` | `getDocumentBuildersIndexedEntities()`
`ErrorHandler` | `getErrorHandler()`
`int` | `getFilterCacheBitResultsSize()`
`FilterCachingStrategy` | `getFilterCachingStrategy()`
`FilterDef` | `getFilterDefinition(java.lang.String name)`
`java.util.Set<java.lang.Class<?>>` | `getIndexedTypesPolymorphic(java.lang.Class<?>[] classes)`
`LuceneIndexingParameters` | `getIndexingParameters(DirectoryProvider<?> provider)`
`java.lang.String` | `getIndexingStrategy()`
`OptimizerStrategy` | `getOptimizerStrategy(DirectoryProvider<?> provider)`
`org.apache.lucene.search.Similarity` | `getSimilarity(DirectoryProvider<?> directoryProvider)`
`Worker` | `getWorker()`
`boolean` | `isExclusiveIndexUsageEnabled(DirectoryProvider<?> provider)`
`BatchBackend` | `makeBatchBackend(MassIndexerProgressMonitor progressMonitor)`
`void` | `setBackendQueueProcessorFactory(BackendQueueProcessorFactory backendQueueProcessorFactory)`

Methods inherited from interface org.hibernate.search.SearchFactory
`buildQueryBuilder, getAnalyzer, getAnalyzer, getDirectoryProviders, getReaderProvider, optimize, optimize`

Method Detail

### getBackendQueueProcessorFactory

    BackendQueueProcessorFactory getBackendQueueProcessorFactory()

### setBackendQueueProcessorFactory

    void setBackendQueueProcessorFactory(BackendQueueProcessorFactory backendQueueProcessorFactory)

### getDocumentBuildersIndexedEntities

    java.util.Map<java.lang.Class<?>,DocumentBuilderIndexedEntity<?>> getDocumentBuildersIndexedEntities()

### getDocumentBuilderIndexedEntity

    <T> DocumentBuilderIndexedEntity<T> getDocumentBuilderIndexedEntity(java.lang.Class<T> entityType)

### getDocumentBuilderContainedEntity

    <T> DocumentBuilderContainedEntity<T> getDocumentBuilderContainedEntity(java.lang.Class<T> entityType)

### getWorker

    Worker getWorker()

### addOptimizerStrategy

    void addOptimizerStrategy(DirectoryProvider<?> provider,
                              OptimizerStrategy optimizerStrategy)

### getOptimizerStrategy

    OptimizerStrategy getOptimizerStrategy(DirectoryProvider<?> provider)

### getFilterCachingStrategy

    FilterCachingStrategy getFilterCachingStrategy()

### getFilterDefinition

    FilterDef getFilterDefinition(java.lang.String name)

### getIndexingParameters

    LuceneIndexingParameters getIndexingParameters(DirectoryProvider<?> provider)

### addIndexingParameters

    void addIndexingParameters(DirectoryProvider<?> provider,
                               LuceneIndexingParameters indexingParams)

### getIndexingStrategy

    java.lang.String getIndexingStrategy()

### close

    void close()

### addClassToDirectoryProvider

    void addClassToDirectoryProvider(java.lang.Class<?> clazz,
                                     DirectoryProvider<?> directoryProvider,
                                     boolean exclusiveIndexUsage)

### getClassesInDirectoryProvider

    java.util.Set<java.lang.Class<?>> getClassesInDirectoryProvider(DirectoryProvider<?> directoryProvider)

### getDirectoryProviders

    java.util.Set<DirectoryProvider<?>> getDirectoryProviders()

### getDirectoryProviderLock

    java.util.concurrent.locks.ReentrantLock getDirectoryProviderLock(DirectoryProvider<?> dp)

### addDirectoryProvider

    void addDirectoryProvider(DirectoryProvider<?> provider,
                              boolean exclusiveIndexUsage)

### getFilterCacheBitResultsSize

    int getFilterCacheBitResultsSize()

### getIndexedTypesPolymorphic

    java.util.Set<java.lang.Class<?>> getIndexedTypesPolymorphic(java.lang.Class<?>[] classes)

### makeBatchBackend

    BatchBackend makeBatchBackend(MassIndexerProgressMonitor progressMonitor)

### getSimilarity

    org.apache.lucene.search.Similarity getSimilarity(DirectoryProvider<?> directoryProvider)

### isExclusiveIndexUsageEnabled

    boolean isExclusiveIndexUsageEnabled(DirectoryProvider<?> provider)

### getErrorHandler

    ErrorHandler getErrorHandler()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.